diff options
| author | Paul E. McKenney <paulmck@linux.vnet.ibm.com> | 2014-02-06 23:35:41 -0500 |
|---|---|---|
| committer | Paul E. McKenney <paulmck@linux.vnet.ibm.com> | 2014-02-23 12:04:34 -0500 |
| commit | d3b1548aa247d7b436834dbe518189bb9c1ebd4b (patch) | |
| tree | bed7f7d9e3fffa62e34e82333d72c03b2c934fd4 /tools/testing | |
| parent | a5afdeb13c86564bdbd27e8d154933fb65ea2426 (diff) | |
rcutorture: Rename kvm-test-1-rcu.sh
The kvm-test-1-rcu.sh is not specific to RCU, so this commit renames it
to kvm-test-1-run.sh.
Signed-off-by: Paul E. McKenney <paulmck@linux.vnet.ibm.com>
Reviewed-by: Josh Triplett <josh@joshtriplett.org>
Diffstat (limited to 'tools/testing')
| -rwxr-xr-x | tools/testing/selftests/rcutorture/bin/kvm-test-1-run.sh (renamed from tools/testing/selftests/rcutorture/bin/kvm-test-1-rcu.sh) | 18 | ||||
| -rw-r--r-- | tools/testing/selftests/rcutorture/bin/kvm.sh | 2 |
2 files changed, 10 insertions, 10 deletions
diff --git a/tools/testing/selftests/rcutorture/bin/kvm-test-1-rcu.sh b/tools/testing/selftests/rcutorture/bin/kvm-test-1-run.sh index 7986b3e7f318..015d35bc43cb 100755 --- a/tools/testing/selftests/rcutorture/bin/kvm-test-1-rcu.sh +++ b/tools/testing/selftests/rcutorture/bin/kvm-test-1-run.sh | |||
| @@ -6,13 +6,13 @@ | |||
| 6 | # Execute this in the source tree. Do not run it as a background task | 6 | # Execute this in the source tree. Do not run it as a background task |
| 7 | # because qemu does not seem to like that much. | 7 | # because qemu does not seem to like that much. |
| 8 | # | 8 | # |
| 9 | # Usage: sh kvm-test-1-rcu.sh config builddir resdir minutes qemu-args boot_args | 9 | # Usage: sh kvm-test-1-run.sh config builddir resdir minutes qemu-args boot_args |
| 10 | # | 10 | # |
| 11 | # qemu-args defaults to "" -- you will want "-nographic" if running headless. | 11 | # qemu-args defaults to "-nographic", along with arguments specifying the |
| 12 | # boot_args defaults to "root=/dev/sda noapic selinux=0 console=ttyS0" | 12 | # number of CPUs and other options generated from |
| 13 | # "initcall_debug debug rcutorture.stat_interval=15" | 13 | # the underlying CPU architecture. |
| 14 | # "rcutorture.shutdown_secs=$((minutes * 60))" | 14 | # boot_args defaults to value returned by the per_version_boot_params |
| 15 | # "rcutorture.rcutorture_runnable=1" | 15 | # shell function. |
| 16 | # | 16 | # |
| 17 | # Anything you specify for either qemu-args or boot_args is appended to | 17 | # Anything you specify for either qemu-args or boot_args is appended to |
| 18 | # the default values. The "-smp" value is deduced from the contents of | 18 | # the default values. The "-smp" value is deduced from the contents of |
| @@ -40,7 +40,7 @@ | |||
| 40 | 40 | ||
| 41 | grace=120 | 41 | grace=120 |
| 42 | 42 | ||
| 43 | T=/tmp/kvm-test-1-rcu.sh.$$ | 43 | T=/tmp/kvm-test-1-run.sh.$$ |
| 44 | trap 'rm -rf $T' 0 | 44 | trap 'rm -rf $T' 0 |
| 45 | 45 | ||
| 46 | . $KVM/bin/functions.sh | 46 | . $KVM/bin/functions.sh |
| @@ -52,13 +52,13 @@ title=`echo $config_template | sed -e 's/^.*\///'` | |||
| 52 | builddir=${2} | 52 | builddir=${2} |
| 53 | if test -z "$builddir" -o ! -d "$builddir" -o ! -w "$builddir" | 53 | if test -z "$builddir" -o ! -d "$builddir" -o ! -w "$builddir" |
| 54 | then | 54 | then |
| 55 | echo "kvm-test-1-rcu.sh :$builddir: Not a writable directory, cannot build into it" | 55 | echo "kvm-test-1-run.sh :$builddir: Not a writable directory, cannot build into it" |
| 56 | exit 1 | 56 | exit 1 |
| 57 | fi | 57 | fi |
| 58 | resdir=${3} | 58 | resdir=${3} |
| 59 | if test -z "$resdir" -o ! -d "$resdir" -o ! -w "$resdir" | 59 | if test -z "$resdir" -o ! -d "$resdir" -o ! -w "$resdir" |
| 60 | then | 60 | then |
| 61 | echo "kvm-test-1-rcu.sh :$resdir: Not a writable directory, cannot store results into it" | 61 | echo "kvm-test-1-run.sh :$resdir: Not a writable directory, cannot store results into it" |
| 62 | exit 1 | 62 | exit 1 |
| 63 | fi | 63 | fi |
| 64 | cp $config_template $resdir/ConfigFragment | 64 | cp $config_template $resdir/ConfigFragment |
diff --git a/tools/testing/selftests/rcutorture/bin/kvm.sh b/tools/testing/selftests/rcutorture/bin/kvm.sh index 242b52d11cf9..767097e2a293 100644 --- a/tools/testing/selftests/rcutorture/bin/kvm.sh +++ b/tools/testing/selftests/rcutorture/bin/kvm.sh | |||
| @@ -307,7 +307,7 @@ function dump(first, pastlast) | |||
| 307 | print "touch " builddir ".wait"; | 307 | print "touch " builddir ".wait"; |
| 308 | print "mkdir " builddir " > /dev/null 2>&1 || :"; | 308 | print "mkdir " builddir " > /dev/null 2>&1 || :"; |
| 309 | print "mkdir " rd cfr[jn] " || :"; | 309 | print "mkdir " rd cfr[jn] " || :"; |
| 310 | print "kvm-test-1-rcu.sh " CONFIGDIR cf[j], builddir, rd cfr[jn], dur " \"" RCU_QEMU_ARG "\" \"" RCU_BOOTARGS "\" > " builddir ".out 2>&1 &" | 310 | print "kvm-test-1-run.sh " CONFIGDIR cf[j], builddir, rd cfr[jn], dur " \"" RCU_QEMU_ARG "\" \"" RCU_BOOTARGS "\" > " builddir ".out 2>&1 &" |
| 311 | print "echo ", cfr[jn], cpusr[jn] ovf ": Waiting for build to complete. `date`" | 311 | print "echo ", cfr[jn], cpusr[jn] ovf ": Waiting for build to complete. `date`" |
| 312 | print "while test -f " builddir ".wait" | 312 | print "while test -f " builddir ".wait" |
| 313 | print "do" | 313 | print "do" |
